## FolksBirthdayDetails

FolksBirthdayDetails — Birthday details for a contact.

## Functions

void | folks_birthday_details_change_birthday ()
void | folks_birthday_details_change_birthday_finish ()
void | folks_birthday_details_change_calendar_event_id ()
void | folks_birthday_details_change_calendar_event_id_finish ()
GDateTime * | folks_birthday_details_get_birthday ()
void | folks_birthday_details_set_birthday ()
const gchar * | folks_birthday_details_get_calendar_event_id ()
void | folks_birthday_details_set_calendar_event_id ()

## Types and Values

| FolksBirthdayDetails
struct | FolksBirthdayDetailsIface

## Description

This allows representation of the birth date and associated calendar event ID of a contact.

## Functions

### folks_birthday_details_change_birthday ()

    void
    folks_birthday_details_change_birthday
                                   (FolksBirthdayDetails *self,
                                    GDateTime *birthday,
                                    GAsyncReadyCallback _callback_,
                                    gpointer _user_data_);

Change the contact's birthday.

It's preferred to call this rather than setting "birthday" directly, as this method gives error notification and will only return once the birthday has been written to the relevant backing store (or the operation's failed).

FolksPropertyError will be returned in `error`

if setting the birthday failed

See also: `folks_birthday_details_change_birthday_finish()`

#### Parameters

self | the FolksBirthdayDetails instance |
birthday | . the new birthday (or `null` to unset the birthday) . | [in][allow-none]
_callback_ | callback to call when the request is satisfied. | [scope async]
_user_data_ | the data to pass to `_callback_` function. | [closure]

Since: 0.6.2

### folks_birthday_details_change_birthday_finish ()

    void
    folks_birthday_details_change_birthday_finish
                                   (FolksBirthdayDetails *self,
                                    GAsyncResult *_res_,
                                    GError **error);

Change the contact's birthday.

It's preferred to call this rather than setting "birthday" directly, as this method gives error notification and will only return once the birthday has been written to the relevant backing store (or the operation's failed).

FolksPropertyError will be returned in `error`

if setting the birthday failed

See also: `folks_birthday_details_change_birthday()`

#### Parameters

self | the FolksBirthdayDetails instance |
_res_ | a GAsyncResult |
error | location to store the error occurring, or `NULL` to ignore. | [error-domains FolksPropertyError]

Since: 0.6.2

### folks_birthday_details_change_calendar_event_id ()

    void
    folks_birthday_details_change_calendar_event_id
                                   (FolksBirthdayDetails *self,
                                    const gchar *event_id,
                                    GAsyncReadyCallback _callback_,
                                    gpointer _user_data_);

Change the contact's birthday event ID.

It's preferred to call this rather than setting "calendar-event-id" directly, as this method gives error notification and will only return once the event has been written to the relevant backing store (or the operation's failed).

FolksPropertyError will be returned in `error`

if setting the birthday event ID failed

See also: `folks_birthday_details_change_calendar_event_id_finish()`

#### Parameters

self | the FolksBirthdayDetails instance |
event_id | . the new birthday event ID (or `null` to unset the event ID) . | [in][allow-none]
_callback_ | callback to call when the request is satisfied. | [scope async]
_user_data_ | the data to pass to `_callback_` function. | [closure]

Since: 0.6.2

### folks_birthday_details_change_calendar_event_id_finish ()

    void
    folks_birthday_details_change_calendar_event_id_finish
                                   (FolksBirthdayDetails *self,
                                    GAsyncResult *_res_,
                                    GError **error);

Change the contact's birthday event ID.

It's preferred to call this rather than setting "calendar-event-id" directly, as this method gives error notification and will only return once the event has been written to the relevant backing store (or the operation's failed).

FolksPropertyError will be returned in `error`

if setting the birthday event ID failed

See also: `folks_birthday_details_change_calendar_event_id()`

#### Parameters

self | the FolksBirthdayDetails instance |
_res_ | a GAsyncResult |
error | location to store the error occurring, or `NULL` to ignore. | [error-domains FolksPropertyError]

Since: 0.6.2

### folks_birthday_details_get_birthday ()

    GDateTime *
    folks_birthday_details_get_birthday (FolksBirthdayDetails *self);

Get and return the current value of the "birthday" property.

The birthday of the FolksPersona and FolksIndividual. This is assumed to be in UTC.

If this is `null`, the contact's birthday isn't known.

#### Parameters

self | the FolksBirthdayDetails instance to query |

#### Returns

the value of the "birthday" property

Since: 0.4.0

### folks_birthday_details_set_birthday ()

    void
    folks_birthday_details_set_birthday (FolksBirthdayDetails *self,
                                         GDateTime *value);

Set the value of the "birthday" property to `value` .

The birthday of the FolksPersona and FolksIndividual. This is assumed to be in UTC.

If this is `null`, the contact's birthday isn't known.

#### Parameters

self | the FolksBirthdayDetails instance to modify |
value | the new value of the "birthday" property |

Since: 0.4.0

### folks_birthday_details_get_calendar_event_id ()

    const gchar *
    folks_birthday_details_get_calendar_event_id
                                   (FolksBirthdayDetails *self);

Get and return the current value of the "calendar-event-id" property.

The event ID of the birthday event from the source calendar.

If this is `null`, the birthday event is unknown. The semantics of the event ID are left unspecified by folks.

#### Parameters

self | the FolksBirthdayDetails instance to query |

#### Returns

the value of the "calendar-event-id" property

Since: 0.4.0

### folks_birthday_details_set_calendar_event_id ()

    void
    folks_birthday_details_set_calendar_event_id
                                   (FolksBirthdayDetails *self,
                                    const gchar *value);

Set the value of the "calendar-event-id" property to `value` .

The event ID of the birthday event from the source calendar.

If this is `null`, the birthday event is unknown. The semantics of the event ID are left unspecified by folks.

#### Parameters

self | the FolksBirthdayDetails instance to modify |
value | the new value of the "calendar-event-id" property |

Since: 0.4.0

## Types and Values

### FolksBirthdayDetails

    typedef struct _FolksBirthdayDetails FolksBirthdayDetails;

Birthday details for a contact.

This allows representation of the birth date and associated calendar event ID of a contact.

Since: 0.4.0

### struct FolksBirthdayDetailsIface

    struct FolksBirthdayDetailsIface {
    	GTypeInterface parent_iface;
    	void (*change_birthday) (FolksBirthdayDetails* self, GDateTime* birthday, GAsyncReadyCallback _callback_, gpointer _user_data_);
    	void (*change_birthday_finish) (FolksBirthdayDetails* self, GAsyncResult* _res_, GError** error);
    	void (*change_calendar_event_id) (FolksBirthdayDetails* self, const gchar* event_id, GAsyncReadyCallback _callback_, gpointer _user_data_);
    	void (*change_calendar_event_id_finish) (FolksBirthdayDetails* self, GAsyncResult* _res_, GError** error);
    	GDateTime* (*get_birthday) (FolksBirthdayDetails* self);
    	void (*set_birthday) (FolksBirthdayDetails* self, GDateTime* value);
    	const gchar* (*get_calendar_event_id) (FolksBirthdayDetails* self);
    	void (*set_calendar_event_id) (FolksBirthdayDetails* self, const gchar* value);
    };

Interface for creating FolksBirthdayDetails implementations.

#### Members

GTypeInterface `parent_iface`; | the parent interface structure |
`change_birthday` () | virtual method called by `folks_birthday_details_change_birthday()` |
`change_birthday_finish` () | asynchronous finish function for `change_birthday`, called by `folks_birthday_details_change_birthday()` |
`change_calendar_event_id` () | virtual method called by `folks_birthday_details_change_calendar_event_id()` |
`change_calendar_event_id_finish` () | asynchronous finish function for `change_calendar_event_id`, called by `folks_birthday_details_change_calendar_event_id()` |
`get_birthday` () | getter method for the abstract property "birthday" |
`set_birthday` () | setter method for the abstract property "birthday" |
`get_calendar_event_id` () | getter method for the abstract property "calendar-event-id" |
`set_calendar_event_id` () | setter method for the abstract property "calendar-event-id" |